Bug 700349 - Review Request: perl-Biblio-EndnoteStyle - Reference formatting using Endnote-like templates
Review Request: perl-Biblio-EndnoteStyle - Reference formatting using Endnote...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Iain Arnell
Fedora Extras Quality Assurance
:
: 700347 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-28 04:01 EDT by Nicholas van Oudtshoorn
Modified: 2012-01-02 16:56 EST (History)
3 users (show)

See Also:
Fixed In Version: perl-Biblio-EndnoteStyle-0.05-2.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-01-02 16:56:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
iarnell: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Nicholas van Oudtshoorn 2011-04-28 04:01:10 EDT
Spec URL: http://dl.dropbox.com/u/8648526/perl-Biblio-EndnoteStyle.spec
SRPM URL: http://dl.dropbox.com/u/8648526/perl-Biblio-EndnoteStyle-0.05-1.fc14.src.rpm
Description:

This small module stores session data into memcached.

This is one of the requirements for the Koha Library Management System.

Since I have not yet got any packages in the fedora repository, I am looking for a sponsor.
Comment 1 Iain Arnell 2011-04-28 04:56:59 EDT
Again, not an official review. But why move the endnote-format script to /usr/sbin? It's not a root-only admin thing, so properly belongs in /usr/bin.
Comment 2 Iain Arnell 2011-04-28 04:59:13 EDT
(In reply to comment #0)
> Description:
> 
> This small module stores session data into memcached.

Oh, and seems you pasted the wrong description/summary for this package. I've fixed the latter.
Comment 3 Nicholas van Oudtshoorn 2011-04-28 05:05:39 EDT
Ah! Silly me! 

Thanks for the heads up about the /usr/bin location. I've updated the spec and srpm linked above to set it back to what it should be. Not sure *why* I changed it in the first place. (Packaging is fairly new to me... my apologies for the noise!)
Comment 4 Iain Arnell 2011-05-23 23:55:16 EDT
*** Bug 700347 has been marked as a duplicate of this bug. ***
Comment 5 Iain Arnell 2011-05-24 02:47:29 EDT
This package fails to build in mock due to a missing build dependency on perl(Test::More). 

And my comments from bug #700346 regarding changelog and buildroot/clean/defattr apply here too.

Other than that, though, it's a nice clean and simple package.
Comment 6 Nicholas van Oudtshoorn 2011-05-30 21:52:51 EDT
The linked spec file should fix all of those problems (I hope!)

SPEC:
http://dl.dropbox.com/u/8648526/perl-Biblio-EndnoteStyle.spec
SRPM:
http://dl.dropbox.com/u/8648526/perl-Biblio-EndnoteStyle-0.05-2.fc14.src.rpm
Comment 7 Iain Arnell 2011-05-31 00:20:45 EDT
Koji (success) http://koji.fedoraproject.org/koji/taskinfo?taskID=3101224
Comment 8 Iain Arnell 2011-05-31 00:22:28 EDT
No problems. This package is APPROVED.

koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=3101224

Spec looks sane, clean and consistent; license is correct (GPL+ or Artistic);
make test passes cleanly.

Source tarballs match upstream (sha1sum):
5fddf34f775184c399ce6b59b8c741d95f5d9ba6 Biblio-EndnoteStyle-0.05.tar.gz
5fddf34f775184c399ce6b59b8c741d95f5d9ba6 Biblio-EndnoteStyle-0.05.tar.gz.srpm

Final provides / requires are sane:

======> perl-Biblio-EndnoteStyle-0.05-2.fc16.noarch.rpm <======
====> rpmlint
perl-Biblio-EndnoteStyle.noarch: W: no-manual-page-for-binary endnote-format
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
====> provides
perl(Biblio::EndnoteStyle) = 0.05
perl-Biblio-EndnoteStyle = 0.05-2.fc16
perl(Biblio::EndnoteStyle::Sequence)  
perl(Biblio::EndnoteStyle::Template)  
====> requires
perl >= 0:5.006
perl(Biblio::EndnoteStyle)  
perl(Carp)  
perl(Getopt::Std)  
perl(:MODULE_COMPAT_5.12.3)  
perl(strict)  
perl(warnings)  
====> obsoletes
====> conflicts

======> perl-Biblio-EndnoteStyle-0.05-2.fc16.src.rpm <======
====> rpmlint
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
====> provides
====> requires
perl(ExtUtils::MakeMaker)  
perl(Test::More)  
====> obsoletes
====> conflicts


====> mock install
INFO: mock.py version 1.1.10 starting...
State Changed: init plugins
INFO: selinux enabled
State Changed: start
Mock Version: 1.1.10
INFO: Mock Version: 1.1.10
State Changed: lock buildroot
INFO: installing package(s): perl-Biblio-EndnoteStyle-0.05-2.fc16.noarch.rpm
INFO: 
================================================================================
 Package  Arch   Version     Repository                                    Size
================================================================================
Installing:
 perl-Biblio-EndnoteStyle
          noarch 0.05-2.fc16 /perl-Biblio-EndnoteStyle-0.05-2.fc16.noarch  14 k

Transaction Summary
================================================================================
Install       1 Package(s)

Total size: 14 k
Installed size: 14 k

Installed:
  perl-Biblio-EndnoteStyle.noarch 0:0.05-2.fc16                                 


State Changed: unlock buildroot
State Changed: end
Comment 9 Iain Arnell 2011-10-26 11:11:04 EDT
Ping!

Are you still interested in maintaining this? It's approved and ready for you
to continue....
Comment 10 Nicholas van Oudtshoorn 2011-10-26 20:56:05 EDT
Wow - yes, indeed! I'm afraid the approval slipped through my email system without me realising. 

Acting on it now! :)
Comment 11 Nicholas van Oudtshoorn 2011-10-26 20:59:06 EDT
New Package SCM Request
=======================
Package Name: perl-Biblio-EndnoteStyle
Short Description: This small module provides a way of formatting bibliographic references using style templates similar to those used by the popular reference
management software Endnote.
Owners: vanoudt
Branches: f15 f16
InitialCC: perl-sig
Comment 12 Gwyn Ciesla 2011-10-27 08:26:37 EDT
Git done (by process-git-requests).
Comment 13 Fedora Update System 2011-12-22 21:17:36 EST
perl-Biblio-EndnoteStyle-0.05-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/perl-Biblio-EndnoteStyle-0.05-2.fc16
Comment 14 Fedora Update System 2011-12-23 17:21:27 EST
perl-Biblio-EndnoteStyle-0.05-2.fc16 has been pushed to the Fedora 16 testing repository.
Comment 15 Fedora Update System 2012-01-02 16:56:12 EST
perl-Biblio-EndnoteStyle-0.05-2.fc16 has been pushed to the Fedora 16 stable repository.

Note You need to log in before you can comment on or make changes to this bug.